pdadmin-forum

pdadmin-forum » Suche » Suchergebnis » Hallo Gast [Anmelden|Registrieren]
Zeige Beiträge 1 bis 20 von 207 Treffern Seiten (11): [1] 2 3 nächste » ... letzte »
Autor Beitrag
Thema: httpd_log.pl funktioniert mit Apache 2.4 nicht
serverfreak1982

Antworten: 9
Hits: 88
11.05.2018 23:38 Forum: Bug-Report


Zitat:
Versuchen Sie es mal mit der Anpassung wie oben angegeben.

Freude Mein Held. Dass ich da vorher nicht selber drauf gekommen bin
Thema: httpd_log.pl funktioniert mit Apache 2.4 nicht
serverfreak1982

Antworten: 9
Hits: 88
RE: httpd_log.pl funktioniert mit Apache 2.4 nicht 11.05.2018 22:45 Forum: Bug-Report


code:
1:
2:
3:
4:
COMMAND   PID USER   FD   TYPE   DEVICE SIZE/OFF NODE NAME
httpd   18336  www    4u  IPv6 12178501      0t0  TCP *:http (LISTEN)
httpd   18337  www    4u  IPv6 12178501      0t0  TCP *:http (LISTEN)
...


code:
1:
2:
3:
www      18335  0.0  0.0 145780 14148 ?        S    22:15   0:01 /usr/local/pd-admin2/httpd-2.4/bin/httpd -D NO_DETACH -DSSL
www      18336  0.0  0.0 178972 15692 ?        Sl   22:15   0:00 /usr/local/pd-admin2/httpd-2.4/bin/httpd -D NO_DETACH -DSSL
...
Thema: httpd_log.pl funktioniert mit Apache 2.4 nicht
serverfreak1982

Antworten: 9
Hits: 88
RE: httpd_log.pl funktioniert mit Apache 2.4 nicht 11.05.2018 22:42 Forum: Bug-Report


Kurze Frage vorher: Hast du bei dir denn noch die /opt/pdadmin/etc/pdadmin.conf angepasst oder nur über das GUI auf Apache 2.4 umgestellt?

Trotz der Umstellung im GUI auf Apache 2.2 stehen in der pdadmin.conf meiner Meinung nach noch falsche, auf Apache 2.2 bezogene Werte

code:
1:
2:
3:
4:
5:
6:
7:
8:
9:
10:
#$httpd_conf_template = '/usr/local/apache/conf/httpd.conf-template';
$httpd_conf_template = '/usr/local/pd-admin2/conf/httpd.conf-template';

# Pfad zur Apache-Konfigurationsdatei
#$httpdconf            = '/usr/local/apache/conf/httpd.conf';
$httpdconf            = '/usr/local/pd-admin2/conf/httpd.conf';

# Befehl zu Restarten des Apache
#$apacherestart   = '/usr/local/apache/bin/apachectl graceful';
$apacherestart   = '/usr/local/pd-admin2/bin/apachectl graceful';
Das müsste doch eigentlich so sein
code:
1:
2:
3:
4:
$httpd_conf_template = '/usr/local/pd-admin2/httpd-2.4/conf/httpd24.conf-template';
$httpdconf            = '/usr/local/pd-admin2/httpd-2.4/conf/httpd.conf';
$apacherestart   = 'svc -du /service/apache24';
Thema: httpd_log.pl funktioniert mit Apache 2.4 nicht
serverfreak1982

Antworten: 9
Hits: 88
RE: httpd_log.pl funktioniert mit Apache 2.4 nicht 11.05.2018 22:00 Forum: Bug-Report


Die Ausgabe der 0.0.0.0 ist original so und nicht unkenntlich gemacht.

An einer laufenden 2.2 Instanz kann es nicht liegen. Der Fehler tritt ja auf wenn Apache 2.4 läuft und man dann die httpd_log.pl ausführt.
Thema: httpd_log.pl funktioniert mit Apache 2.4 nicht
serverfreak1982

Antworten: 9
Hits: 88
httpd_log.pl funktioniert mit Apache 2.4 nicht 11.05.2018 13:41 Forum: Bug-Report


- Welche Version von pd-admin wird eingesetzt? 4.58
- Welche Version der Serverumgebung wird eingesetzt? 4-0.310

Seit der Umstellung auf Apache 2.4 funktioniert die (ich nenne sie mal) Logration bzw. der Reload des Apache nicht mehr:
code:
1:
2:
3:
4:
5:
6:
7:
8:
9:
10:
11:
12:
13:
/opt/pdadmin/bin/httpd_log.pl
httpd not running, trying to start
(98)Address already in use: make_sock: could not bind to address [::]:80
(98)Address already in use: make_sock: could not bind to address 0.0.0.0:80
no listening sockets available, shutting down
Unable to open logs

/usr/local/pd-admin2/bin/apachectl restart
httpd not running, trying to start
(98)Address already in use: make_sock: could not bind to address [::]:80
(98)Address already in use: make_sock: could not bind to address 0.0.0.0:80
no listening sockets available, shutting down
Unable to open logs
Thema: Alte PHP-Versionen deaktivieren
serverfreak1982

Antworten: 6
Hits: 162
03.05.2018 09:49 Forum: Anwendung


Zitat:
Vielleicht wäre dies also ein Feature Request Augenzwinkern

Der Bugtracker ist leider nicht erreichbar
Thema: Alte PHP-Versionen deaktivieren
serverfreak1982

Antworten: 6
Hits: 162
Alte PHP-Versionen deaktivieren 19.04.2018 10:15 Forum: Anwendung


- Welche Version von pd-admin wird eingesetzt? 4.58
- Welche Version der Serverumgebung wird eingesetzt? 4-0.310


Gibt es eine Möglichkeit einzelne PHP-Versionen zu deaktivieren, so dass Kunden diese nicht mehr auswählen können?

Ich möchte zunächst alles was älter ist als < 5.6 und zum Jahresende auch 7.0 nicht mehr verfügbar machen.

Gruß
Patrick
Thema: E-Mail Weiterleitungen ausblenden
serverfreak1982

Antworten: 3
Hits: 106
RE: E-Mail Weiterleitungen ausblenden 26.03.2018 15:20 Forum: Anwendung


Naja, aber warum wird "Weiterleitungen" weiterhin eingeblendet obwohl sämtliche E-Mail-Funktionalität nicht im Angebot eingestellt wurde.

Mit dem editieren der customer_menu.conf habe ich zwar den Punkt "Weiterleitungen" entfernt, aber der Hauptmenü-Punkt "E-Mail"ist immernoch da, nur leer. Das sieht auch kaputt aus.
Thema: E-Mail Weiterleitungen ausblenden
serverfreak1982

Antworten: 3
Hits: 106
E-Mail Weiterleitungen ausblenden 25.03.2018 11:02 Forum: Anwendung


- Welche Version von pd-admin wird eingesetzt? v4.57
- Welche Version der Serverumgebung wird eingesetzt? 4-0.307


Wenn man in der Angebotsverwaltung die E-Mail-Funktionalität nicht freischaltet, ist es im Kunden-Bereich trotzdem möglich Weiterleitungen anzulegen.

Lässt sich das irgendwie abschalten?
Wir haben die E-Mail-Verwaltung ausgelagert und hin und wieder legen Kunden Weiterleitungen bei PD-Admin und wundern sich dann, warum diese nicht funktionieren.

Gruß
Patrick
Thema: PHP Speicherlimit falsch
serverfreak1982

Antworten: 2
Hits: 183
PHP Speicherlimit falsch 09.03.2018 09:35 Forum: Bug-Report


- Welche Version von pd-admin wird eingesetzt? v4.55
- Welche Version der Serverumgebung wird eingesetzt? 4-0.307


Hallo zusammen,

gestern ist mir aufgefallen, dass das eingestellte Speicherlimit für PHP nicht richtig zu funktionieren scheint.

Im Angebot sind 256MB eingestellt (testweise hatte ich auch schon 320M).
In der php.ini steht memory_limit = 256M (mir ist bewusst, dass das memory_limit bei php über cgi nicht greift).
Das Wordfence benchmarking tool kann aber nur knapp 175 MB benutzen.

Hat jemand eine Erklärung oder Lösung dafür?

Gruß
Patrick

---

Wordfence Memory benchmarking utility version 7.1.0.
This utility tests if your WordPress host respects the maximum memory configured
in their php.ini file, or if they are using other methods to limit your access to memory.

--Starting test--
Current maximum memory configured in php.ini: 256M
Current memory usage: 117.75M
Attempting to set max memory to 256M.
Starting memory benchmark. Seeing an error after this line is not unusual. Read the error carefully
to determine how much memory your host allows. We have requested 256 megabytes.
Tested up to 120.25 megabytes.
Tested up to 125.25 megabytes.
Tested up to 130.25 megabytes.
Tested up to 135.25 megabytes.
Tested up to 140.25 megabytes.
Tested up to 145.25 megabytes.
Tested up to 150.25 megabytes.
Tested up to 155.25 megabytes.
Tested up to 160.25 megabytes.
Tested up to 165.25 megabytes.
Tested up to 170.25 megabytes.
Tested up to 175.25 megabytes.
<br />
Fatal error: Out of memory (allocated 123469824) (tried to allocate 65273857 bytes)
Thema: Squirrelmail entfernen wegen Sicherheitslücke
serverfreak1982

Antworten: 1
Hits: 188
Squirrelmail entfernen wegen Sicherheitslücke 17.12.2017 15:57 Forum: Bug-Report


- Welche Version von pd-admin wird eingesetzt? 4.55
- Welche Version der Serverumgebung wird eingesetzt? 4-0.298



Hallo Herr Bradler,

wegen CVE-2017-7692 würden wir gerne auf Squirrelmail verzichten.
Leider ist es nicht möglich Squirrelmail per Web-GUI zu deaktivieren.

Ein manuelles Deaktivieren oder Löschen wird vermutlich durch kommende Updates rückgängig gemacht.

Ist es geplant:

a) Squirrelmail entsprechend zu patchen
b) Squirrelmail durch ein alternatives Produkt zu ersetzen
c) im GUI deaktivierbar zu machen?

Grüße
Patrick
Thema: SSL mit Let's Encrypt
serverfreak1982

Antworten: 67
Hits: 7.525
14.12.2016 10:02 Forum: Off-Topic/Smalltalk


Ich generiere zunächst mit folgendem Paket das Zertifikat:
code:
1:
certbot certonly --webroot -d www.example.com -d example.com -w /home/example/www.example.com
Zertifikat und Key füge ich über die PD-Admin Oberfläche zu den Zertifikaten hinzu.

Anschließend ersetze ich mit einem Symlink vom im /etc/letsencrypt abgelegten Zertifikat nach /opt/pdadmin/sslcerts/ die von PD-Admin erzeugten Dateien:
code:
1:
2:
3:
lrwxrwxrwx 1 pdadmin root 58 Nov 5 15:15 www.example.com-cacert -> /etc/letsencrypt/live/www.example.com/chain.pem
lrwxrwxrwx 1 pdadmin root 57 Nov 5 15:16 www.example.com-cert -> /etc/letsencrypt/live/www.example.com.de/cert.pem
lrwxrwxrwx 1 pdadmin root 60 Nov 5 15:15 www.example.come-key -> /etc/letsencrypt/live/www.example.com.de/privkey.pem
Hierbei ist darauf zu achten, dass der Benutzer des Symlinks pdadmin ist.

Das Certbot-Paket installiert automatisch einen Cronbjob der alle 12 Stunden prüft ob Zertifikate verlängert müssen.
code:
1:
0 */12 * * * root test -x /usr/bin/certbot -a \! -d /run/systemd/system && perl -e 'sleep int(rand(3600))' && certbot -q renew

Also das Zertifikat erstellen und einbinden ist einmalig Handarbeit. Das verlängern funktioniert dann hervorragend automatisch.
Thema: ErrorLog-Verzeichnis werden immer weiter gemountet
serverfreak1982

Antworten: 0
Hits: 350
ErrorLog-Verzeichnis werden immer weiter gemountet 04.10.2016 09:28 Forum: Anwendung


Dies ist eine vorgefertigte Schablone, die bei der Formulierung von Problemen unterstützen soll. Bitte die folgenden Angaben möglichst vollständig ausfüllen.

- Welche Version von pd-admin wird eingesetzt? v4.26 (aber eigentlich ist 4.27 installiert)
- Welche Version der Serverumgebung wird eingesetzt? 4-0.277 (Fehler trat auch schon mit 4-0.271 auf)
- Welche Fehlermeldung erhalten Sie? Keine, aber das System hängt sich irgendwann mangels RAM/Swap auf

Seit einigen Wochen bin ich auf der Fehlersuche, warum sich ein Server nach 1-3 Tagen Betrieb aufhängt. Lesende Zugriffe auf die Festplatten (RAID1) wie check_disk, du, df, mount benötigten teilweise bis zu 2 Minuten und zogen 4 GiB Arbeitsspeicher.

Bis gestern Abend habe ich mount nie zu Ende durchlaufen lassen, aber dann bekam ich folgende Ausgabe:

code:
1:
2:
3:
4:
5:
6:
7:
8:
9:
10:
11:
12:
13:
14:
15:
16:
17:
18:
19:
20:
21:
22:
23:
24:
25:
26:
27:
28:
29:
30:
31:
32:
33:
34:
35:
36:
37:
38:
39:
40:
41:
/dev/sda2 on /home type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/cosagdbg/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/borgoibc/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/cfwpxdbu/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/juergdbs/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/wkserdbx/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/svveldbn/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/errorlogs/hrmakdbm type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)
/dev/sda2 on /home/hrmakdbm/logs/errorlogs type ext4 (rw,noatime,quota,usrquota,grpquota,data=ordered)

Auf einem, bis auf die SE-Version (dort läuft 4-0.269), identischen Server tritt das Problem nicht auf.
Daraufhin habe ich auf die aktuellste SE aktualisiert, das Problem tritt aber weiterhin auf.

Die /etc/fstab sieht normal aus, daher gehe ich davon aus, dass irgendein PD-Admin Skript den mount-Befehl regelmäßig ausführt.
code:
1:
2:
3:
4:
UUID=899cddae-087b-43e2-acce-64adaca5e164 /               ext4    noatime,errors=remount-ro 0       1
UUID=875def18-c071-4d2a-809c-36db8d7ef006 /home           ext4    noatime,usrquota,grpquota 0       2
UUID=45af517b-5ae4-44d1-af94-5a31ae47562e none            swap    sw              0       0
/dev/sr0        /media/cdrom0   udf,iso9660 user,noauto     0       0
Thema: PHP-Versionen im Auswahlfeld "verstecken"?
serverfreak1982

Antworten: 2
Hits: 307
PHP-Versionen im Auswahlfeld "verstecken"? 18.03.2016 09:05 Forum: Anwendung


- Welche Version von pd-admin wird eingesetzt? 4.24
- Welche Version der Serverumgebung wird eingesetzt? 0.266

Hallo zusammen,

ist es möglich, eine oder mehrere PHP-Versionen (z.B. 5.2.x - 5.4.x) im Auswahlmenü zu verstecken, damit die Kunden nicht auf die Idee kommen aus irgendwelchen Gründen auf eine ältere Version zu wechseln?

Sofern das überhaupt möglich ist, wäre es idealerweise nur im Kundeninterface zu verstecken und im Adminbereich sind weiterhin alle sicht- und einstellbar.

Gruß
Patrick
Thema: HTTP Strict Transport Security aktivieren
serverfreak1982

Antworten: 9
Hits: 1.675
03.12.2015 10:15 Forum: Anwendung


Ich würde das Thema gerne nochmal aufgreifen.

Irgendwo/wie muss doch konfiguriert werden können, dass HSTS auch für Kundendomains aktiviert wird?
Thema: PHP 5.2 auf Debian Jessie funktioniert nicht
serverfreak1982

Antworten: 13
Hits: 1.832
02.12.2015 12:50 Forum: Anwendung


Ich habe zuerst die Pakete installiert die man lt. einer Anleitung hier benötigt und dann, ohne Probleme, PD-Admin.
Thema: PHP 5.2 auf Debian Jessie funktioniert nicht
serverfreak1982

Antworten: 13
Hits: 1.832
02.12.2015 12:24 Forum: Anwendung


Die Pakete sind bei mir ebenfalls installiert

unglücklich
Thema: PHP 5.2 auf Debian Jessie funktioniert nicht
serverfreak1982

Antworten: 13
Hits: 1.832
02.12.2015 12:08 Forum: Anwendung


Zitat:
Original von Eisenherz
Bei mir linkt /usr/share/doc/lib32gcc1 auf gcc-4.9-base

code:
1:
lib32gcc1 -> gcc-4.9-base

Das ist bei mir auch so
Thema: PHP 5.2 auf Debian Jessie funktioniert nicht
serverfreak1982

Antworten: 13
Hits: 1.832
02.12.2015 11:40 Forum: Anwendung


code:
1:
2:
3:
4:
/lib/x86_64-linux-gnu/libgcc_s.so.1
/usr/lib/debug/lib/x86_64-linux-gnu/libgcc_s.so.1
/usr/libx32/libgcc_s.so.1
/usr/lib32/libgcc_s.so.1
In /usr/share/doc/libgcc_s.so.1 habe ich also keine.
Es hilft auch nicht wenn einen Symlink anlege oder die Datei dorthin kopiere.
Thema: PHP 5.2 auf Debian Jessie funktioniert nicht
serverfreak1982

Antworten: 13
Hits: 1.832
PHP 5.2 auf Debian Jessie funktioniert nicht 01.12.2015 23:09 Forum: Anwendung


Dies ist eine vorgefertigte Schablone, die bei der Formulierung von Problemen unterstützen soll. Bitte die folgenden Angaben möglichst vollständig ausfüllen.

- Welche Version von pd-admin wird eingesetzt? v4.24
- Welche Version der Serverumgebung wird eingesetzt? 4-0.260
- Welche Logfile-Einträge (zB. Webserver- oder Mail-Logfile) gibt es?
code:
1:
2:
libgcc_s.so.1 must be installed for pthread_cancel to work 
Premature end of script headers: php5-cgiwrap

Hallo zusammen,

auf einem neu installieren Server mit Debian 8 funktioniert PHP 5.2 nicht.
(Ich weiß, es ist uralt und sollte nicht mehr genutzt werden, aber für eine Seite wird es vorübergehend noch benötigt).

Sowohl die Seite (mit modxcms) als auch eine einfache Ausgabe von phpinfo() (auch in/über einen anderen Kundenaccount ausgeführt) werden mit einem Internal Server Error beantwortet.
Im Log erscheint immer die oben genannte Fehlermeldung.

lib32gcc1 und libgcc sind in den aktuellsten Versionen aus dem Repository installiert.

Ich weiß nicht mehr weiter. Hat jemand eine Idee?

Gruß
Patrick
Zeige Beiträge 1 bis 20 von 207 Treffern Seiten (11): [1] 2 3 nächste » ... letzte »

Impressum | Team | Hilfe

Forensoftware: Burning Board, entwickelt von WoltLab GmbH    |    Design entwickelt von You-Online.de